Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezmediacatalogue/admin/mediaedit.php File Reference

Go to the source code of this file.

## Variables
| $user =& eZUser::currentUser()
| $CurrentCategoryID = eZHTTPTool::getVar( "CategoryID" )
| $CategoryID = eZHTTPTool::getVar( "CategoryID" )
if(! $user) if(isset( $NewCategory)) if(isset( $Cancel)) if(isset( $DeleteMedia)) if(isset( $DeleteCategories)) if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Edit") | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMediaCatalogueMain", "Language" )
| $t
| $error = false
| $nameCheck = true
| $captionCheck = false
| $descriptionCheck = false
| $fileCheck = true
| $permissionCheck = false
if(isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") if((isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") && $error==false) if(isset( $Action) && $Action=="DeleteMedia") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="New"|| $error) if(isset( $Action) && $Action=="Edit") | $category = new eZMediaCategory()
| $categoryList =& $category->getTree( )
| $tree = new eZMediaCategory()
| $treeArray =& $tree->getTree()
| $catCount = count( $treeArray )
foreach( $treeArray as $catItem) | $type = new eZMediaType()
| $types = $type->getAll()
foreach( $types as $typeItem) if(is_a( $mediaType, "eZMediaType")) if(isset( $attributes) &&count( $attributes) > 0||!isset( $type)) | else
| $groups =& eZUserGroup::getAll()

## Variable Documentation

## ◆ $captionCheck

$captionCheck = false

Definition at line 131 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $catCount

$catCount = count( $treeArray )

Definition at line 492 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $category

if (isset($Action) &&$Action=="Insert"||isset($Action) &&$Action=="Update") if ((isset($Action) &&$Action=="Insert"||isset($Action) &&$Action=="Update") &&$error==false) if (isset($Action) &&$Action=="DeleteMedia") if (isset($Action) &&$Action=="DeleteCategories") if (isset($Action) &&$Action=="New"||$error) if (isset($Action) &&$Action=="Edit") $category = new eZMediaCategory()

Definition at line 485 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $CategoryID

$CategoryID = eZHTTPTool::getVar( "CategoryID" )

Definition at line 40 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $categoryList

$categoryList =& $category->getTree( )

Definition at line 486 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $CurrentCategoryID

$CurrentCategoryID = eZHTTPTool::getVar( "CategoryID" )

Definition at line 39 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $descriptionCheck

$descriptionCheck = false

Definition at line 132 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $error

$error = false

Definition at line 129 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $fileCheck

$fileCheck = true

Definition at line 133 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $groups

$groups =& eZUserGroup::getAll()

Definition at line 621 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $ini

if (! $user) if (isset($NewCategory)) if (isset($Cancel)) if (isset($DeleteMedia)) if (isset($DeleteCategories)) if (isset($Action) &&$Action=="New") if (isset($Action) &&$Action=="Edit") $ini =& eZINI::instance( 'site.ini' )

Definition at line 98 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $Language

$Language = $ini->variable( "eZMediaCatalogueMain", "Language" )

Definition at line 99 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 130 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $permissionCheck

$permissionCheck = false

Definition at line 134 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmediacatalogue/admin/" . $ini->variable( "eZMediaCatalogueMain", "TemplateDir" ),
"kernel/ezmediacatalogue/admin/intl/", $Language, "mediaedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(! $user) if(isset( $NewCategory)) if(isset( $Cancel)) if(isset( $DeleteMedia)) if(isset( $DeleteCategories)) if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Edit") $ini
Definition: ezmediacatalogue/admin/mediaedit.php:98
$Language
$Language
Definition: ezmediacatalogue/admin/mediaedit.php:99

Definition at line 101 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $tree

$tree = new eZMediaCategory()

Definition at line 488 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $treeArray

$treeArray =& $tree->getTree()

Definition at line 489 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $type

foreach ($treeArray as $catItem) $type = new eZMediaType()

Definition at line 563 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $types

$types = $type->getAll()

Definition at line 564 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 37 of file ezmediacatalogue/admin/mediaedit.php.

## ◆ else

foreach ($types as $typeItem) if (is_a($mediaType, "eZMediaType")) if (isset($attributes) &&count($attributes) > 0||!isset($type)) else

Initial value:
{
$t->set_var( "attribute_list", "" )
$t
$t
Definition: ezmediacatalogue/admin/mediaedit.php:101

Definition at line 615 of file ezmediacatalogue/admin/mediaedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.